package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.AdamEntersParam;
import com.liquidnet.service.adam.dto.vo.AdamEntersVo;

import java.util.List;

/**
 * <p>
 * 入场人 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2021-04-28
 */
public interface IAdamEntersService {
    String add(AdamEntersParam parameter, String uid, List<AdamEntersVo> vos);

    void def(String uid, String entersId);

    void edit(AdamEntersParam parameter);

    void remove(String uid, String entersId);

    AdamEntersVo queryDefault(List<AdamEntersVo> vos, String uid, boolean downgrade);
}
